
Redmine - Defect #26507

"attachment:filename" link syntax would not work if the file name contains "@"

2017-07-24 06:32 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed Affected version:  

Description

A file name which contains "@" is treated as email address.

Probably all versions that support "attachment:filename" syntax are affected. redmine.org is also affected. Please see this example: 

wrong-attachment-link@2x.png

[Textile]

attachment:image@2x.png

 [Expected output]

<a class="attachment" href="/attachments/***/image@2x.png">image@2x.png</a>

 [Actual output]

attachment:<a class="email" href="mailto:image@2x.png">image@2x.png</a>

  

Related issues:

Related to Redmine - Defect #27968: Image filename for HDPI monitors (image@2... Closed

Blocked by Redmine - Defect #26443: User link syntax (user:login) doesn't wor... Closed

Associated revisions

Revision 17393 - 2018-06-17 07:57 - Jean-Philippe Lang

"attachment:filename" link syntax would not work if the file name contains "@" (#26507).

Patch by Marius BALTEANU.

History

#1 - 2017-07-24 22:44 - Marius BĂLTEANU

I can work on this, but the fix will be based on the one from #26443.

#2 - 2017-07-25 09:46 - Go MAEDA

Marius BALTEANU wrote:

I can work on this, but the fix will be based on the one from #26443.

 Sounds great. I set the target version of #26443 to 3.4.3. Could you write a patch?

#3 - 2017-07-25 22:45 - Marius BĂLTEANU

- File 26507_fix_attachment_links_with_@_in_file_name added
Go MAEDA wrote:

Sounds great. I set the target version of #26443 to 3.4.3. Could you write a patch?

 Here it is. In order to apply this patch, you need to apply first the patch from #26443.

#4 - 2017-07-26 00:33 - Go MAEDA

- Blocked by Defect #26443: User link syntax (user:login) doesn't work for logins consisting of an email adress added

#5 - 2017-07-26 06:15 - Go MAEDA

- Target version set to 3.4.3

The patch looks good to me and passed all tests.

Setting target version to 3.4.3.

Marius, thank you for writing the patch.

#6 - 2017-08-06 10:01 - Marius BĂLTEANU

- File 26507_fix_attachment_links_with_@_in_file_name.patch added

Updated the patch to work with the latest changes from #26443.

#7 - 2017-08-06 10:01 - Marius BĂLTEANU

- File deleted (26507_fix_attachment_links_with_@_in_file_name)

#8 - 2017-10-15 13:48 - Jean-Philippe Lang

- Target version changed from 3.4.3 to 4.0.0

#26443 is now set for 4.0.

#9 - 2018-01-11 14:09 - Mischa The Evil

- Related to Defect #27968: Image filename for HDPI monitors (image@2x.jpg) are misrecognized as email address added

#10 - 2018-04-08 09:26 - Marius BĂLTEANU

- File deleted (26507_fix_attachment_links_with_@_in_file_name.patch)

#11 - 2018-04-08 09:27 - Marius BĂLTEANU

- File 26507_fix_attachment_links_with_@_in_file_name.patch added

Updated the patch to apply cleanly against current trunk (r17286).

#12 - 2018-04-08 09:39 - Marius BĂLTEANU

- Status changed from New to Confirmed

#13 - 2018-06-17 07:57 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Resolution set to Fixed

Thanks Marius.

#14 - 2018-06-24 04:24 - Go MAEDA

- Assignee set to Jean-Philippe Lang

Files

wrong-attachment-link@2x.png 11.1 KB 2017-07-24 Go MAEDA
